abstract class KBRepository {
  Future<List<String>> getKnowledgeBases();
  Future<String> uploadToKB({
    required String kbName,
    List<String>? urls,
    List<String>? fileNames,
    List<List<int>>? fileBytes,
  });
}